=== debian/changelog ===
golang-github-opencontainers-image-spec (1.0.0~rc2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #844127).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 13 Nov 2016 06:05:23 +1100
