=== debian/control ===
Source: golang-github-opencontainers-image-spec
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9)
    ,dh-golang
    ,golang-go
    ,golang-github-pkg-errors-dev
    ,golang-github-opencontainers-specs-dev
    ,golang-github-spf13-cobra-dev
    ,golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20161105~)
    ,go-md2man
Standards-Version: 3.9.8
Homepage: https://github.com/opencontainers/image-spec
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-opencontainers-image-spec.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-opencontainers-image-spec.git
XS-Go-Import-Path: github.com/opencontainers/image-spec

Package: golang-github-opencontainers-image-spec-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
    ,golang-go
Description: Open Container Initiative (OCI) Image Format Specification
 The OCI Image Format project creates and maintains the software shipping
 container image format spec (OCI Image Format). The goal of this
 specification is to enable the creation of interoperable tools for
 building, transporting, and preparing a container image to run.

Package: oci-image-tool
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tool for working with OCI images
 `oci-image-tool` is a collection of tools for working with the [OCI image
 specification](https://github.com/opencontainers/image-spec)
