=== debian/rules ===
#!/usr/bin/make -f

#export DH_GOLANG_INSTALL_ALL := 1
#export DH_GOLANG_INSTALL_EXTRA = schema

MANPAGES := $(patsubst %.md, %, $(wildcard cmd/oci-image-tool/man/*.md))

$(MANPAGES):
	go-md2man --in $(patsubst %,%.md, $@) --out $@

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_clean:
	dh_clean $(MANPAGES)

override_dh_auto_install: $(MANPAGES)
	dh_auto_install
