## golang-github-opencontainers-image-spec 1.0.1

=== debian/changelog ===
golang-github-opencontainers-image-spec (1.0.1-1) unstable; urgency=medium

  * New upstream version
  * Stop vendoring go4.org/errorutil in favor of build-dep on golang-go4-dev
  * Add myself to uploaders
  * Fix Build-Deps/Depends

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 17 Feb 2018 13:13:31 +0100
