=== debian/rules ===
#!/usr/bin/make -f

#export DH_GOLANG_INSTALL_ALL := 1
#export DH_GOLANG_INSTALL_EXTRA = schema

%:
	dh $@ --buildsystem=golang --with=golang
