=== debian/watch ===
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//,\
uversionmangle=s{\-rc}{~rc},\
 https://github.com/opencontainers/image-spec/releases \
 .*/archive/v?(\d[\d\.\-rc]+)\.tar\.gz
