## golang-github-opencontainers-image-spec 1.0.2

=== debian/changelog ===
golang-github-opencontainers-image-spec (1.0.2-2) unstable; urgency=medium

  * Team upload.
  * Add Breaks for golang-github-containerd-containerd-dev
  * Add multi arch hint

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 20 Nov 2021 16:33:15 +0800

golang-github-opencontainers-image-spec (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.2
    + Mitigate CVE-2021-41190
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 20 Nov 2021 02:28:27 +0800

golang-github-opencontainers-image-spec (1.0.1-5) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Shengjing Zhu ]
  * Drop go4 dependency
  * Update uscan watch file to version 4
  * Bump debhelper-compat to 13
  * Update Standards-Version to 4.5.1 (no changes)
  * Update Section to golang
  * Copy markdown specs to build dir

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 17 Jan 2021 01:50:34 +0800

golang-github-opencontainers-image-spec (1.0.1-4) unstable; urgency=medium

  * Team upload.
  * Drop unused golang-github-spf13-cobra-dev from Depends
  * Drop unused golang-github-opencontainers-specs-dev from Depends
  * Update Standards-Version to 4.5.0 (no changes)
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Switch to debhelper-compat format
  * Drop unused go-md2man from Build-Depends
  * Remove unused Files-Excluded field in d/copyright
  * Remove unused comments in d/rules
  * Add Rules-Requires-Root
  * Backport upstream patch to build with new gojsonschema

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 23 Mar 2020 00:16:35 +0800

golang-github-opencontainers-image-spec (1.0.1-3) unstable; urgency=medium

  * Priority: optional; Standards-Version: 4.4.1.
  * Testsuite: autopkgtest-pkg-go.
  * DH & compat to version 12.
  * Enabled tests.
  * Install "schema".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Nov 2019 02:24:00 +1100

golang-github-opencontainers-image-spec (1.0.1-2) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Reinhard Tartler ]
  * add patch from upstream: zstd constants

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 19 Oct 2019 22:54:29 -0400
