=== debian/control ===
Source: golang-github-opencontainers-image-spec
Section: golang
Priority: optional
Standards-Version: 4.6.0
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-opencontainers-go-digest-dev,
               golang-github-pkg-errors-dev,
               golang-github-russross-blackfriday-dev,
               golang-github-xeipuuv-gojsonschema-dev (>= 1.2.0~),
Homepage: https://github.com/opencontainers/image-spec
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-image-spec
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-image-spec.git
XS-Go-Import-Path: github.com/opencontainers/image-spec
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-opencontainers-image-spec-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-opencontainers-go-digest-dev,
         golang-github-pkg-errors-dev,
         golang-github-xeipuuv-gojsonschema-dev (>= 1.2.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: golang-github-containerd-containerd-dev (<< 1.5.8~ds1-2~),
Description: Open Container Initiative (OCI) Image Format Specification
 The OCI Image Format project creates and maintains the software shipping
 container image format spec (OCI Image Format). The goal of this
 specification is to enable the creation of interoperable tools for
 building, transporting, and preparing a container image to run.
