=== debian/watch ===
version=4
opts=filenamemangle=s%.*/v?(\d\S*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
uversionmangle=s%(\d)-(rc|beta|alpha)\.?(\d*)$%$1~$2$3% \
  https://github.com/opencontainers/image-spec/tags .*/v?(\d\S*)\.tar\.gz
