=== debian/changelog ===
golang-github-opencontainers-image-spec (1.0.2+20211123.g43a7dee1ec31-2) unstable; urgency=medium

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 16 Aug 2022 10:16:44 +0200

golang-github-opencontainers-image-spec (1.0.2+20211123.g43a7dee1ec31-1) experimental; urgency=medium

  * New upstream snapshot, Closes: #995876
  * Add myself to uploaders

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 16 May 2022 07:54:23 -0400
