## golang-github-opencontainers-image-spec 1.1.0~rc2

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 DOCKER ?= $(shell command -v docker 2>/dev/null)
 PANDOC ?= $(shell command -v pandoc 2>/dev/null)
+
+GOPATH:=$(shell go env GOPATH)
 
 OUTPUT_DIRNAME	?= output
 DOC_FILENAME	?= oci-image-spec
@@ -39,7 +41,7 @@
 FIGURE_FILES := \
 	img/media-types.png
 
-TOOLS := esc gitvalidation glide glide-vc
+TOOLS := esc gitvalidation 
 
 default: check-license lint test
 
@@ -49,7 +51,6 @@
 	@echo " * 'docs' - produce document in the $(OUTPUT_DIRNAME) directory"
 	@echo " * 'fmt' - format the json with indentation"
 	@echo " * 'validate-examples' - validate the examples in the specification markdown files"
-	@echo " * 'schema-fs' - regenerate the virtual schema http/FileSystem"
 	@echo " * 'check-license' - check license headers in source files"
 	@echo " * 'lint' - Execute the source code linter"
 	@echo " * 'test' - Execute the unit tests"
@@ -79,22 +80,16 @@
 header.html: .tool/genheader.go specs-go/version.go
 	go run .tool/genheader.go > $@
 
-validate-examples: schema/fs.go
+validate-examples: schema/schema.go
 	go test -run TestValidate ./schema
-
-schema/fs.go: $(wildcard schema/*.json) schema/gen.go
-	cd schema && printf "%s\n\n%s\n" "$$(cat ../.header)" "$$(go generate)" > fs.go
-
-schema-fs: schema/fs.go
-	@echo "generating schema fs"
 
 check-license:
 	@echo "checking license headers"
 	@./.tool/check-license
 
-lint:
+lint: .install.lint
 	@echo "checking lint"
-	@./.tool/lint
+	@GO111MODULE=on $(GOPATH)/bin/golangci-lint run
 
 test: schema/fs.go
 	go test -race -cover $(shell go list ./... | grep -v /vendor/)
@@ -107,24 +102,22 @@
 .gitvalidation:
 	@which git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found. Consider 'make install.tools' target" && false)
 ifdef GITHUB_SHA
-	git-validation -q -run DCO,short-subject,dangling-whitespace -range $(GITHUB_SHA)..HEAD
+	$(GOPATH)/bin/git-validation -q -run DCO,short-subject,dangling-whitespace -range $(GITHUB_SHA)..HEAD
 else
-	git-validation -v -run DCO,short-subject,dangling-whitespace -range $(EPOCH_TEST_COMMIT)..HEAD
+	$(GOPATH)/bin/git-validation -v -run DCO,short-subject,dangling-whitespace -range $(EPOCH_TEST_COMMIT)..HEAD
 endif
 
 install.tools: $(TOOLS:%=.install.%)
 
-.install.esc:
-	go get -u github.com/mjibson/esc
+.install.lint:
+	case "$$(go env GOVERSION)" in \
+	go1.17.*)	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.47.3;; \
+	go1.18.*)	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.47.3;; \
+	*) go install github.com/golangci/golangci-lint/cmd/golangci-lint@latest;; \
+	esac
 
 .install.gitvalidation:
-	go get -u github.com/vbatts/git-validation
-
-.install.glide:
-	go get -u github.com/Masterminds/glide
-
-.install.glide-vc:
-	go get -u github.com/sgotti/glide-vc
+	go install github.com/vbatts/git-validation@latest
 
 clean:
 	rm -rf *~ $(OUTPUT_DIRNAME) header.html
