=== debian/changelog ===
golang-github-opencontainers-image-spec (1.1.0~rc2-3) unstable; urgency=medium

  * Team upload.
  * Breaks golang-github-containers-image-dev << 5.23.1-4~

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 04 Apr 2023 00:48:45 +0800

golang-github-opencontainers-image-spec (1.1.0~rc2-2) unstable; urgency=medium

  * Team upload.
  * Backport ArgsEscaped field in image config.
    For containerd 1.6.20

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 01 Apr 2023 01:42:26 +0800

golang-github-opencontainers-image-spec (1.1.0~rc2-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 05 Feb 2023 08:41:37 -0500
