=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: golang-github-opencontainers-image-spec
 Section: golang
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>,
-           Reinhard Tartler <siretart@tauware.de>
+           Reinhard Tartler <siretart@tauware.de>,
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
@@ -29,6 +29,7 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: golang-github-containerd-containerd-dev (<< 1.5.8~ds1-2~),
+        golang-github-containers-image-dev (<< 5.23.1-4~),
 Description: Open Container Initiative (OCI) Image Format Specification
  The OCI Image Format project creates and maintains the software shipping
  container image format spec (OCI Image Format). The goal of this
