## golang-github-opencontainers-image-spec 1.1.0~rc4

=== debian/changelog ===
golang-github-opencontainers-image-spec (1.1.0~rc4-3) unstable; urgency=medium

  * debian/control: account for API breaks in containers/image and umoci

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 20 Sep 2023 08:33:29 -0400

golang-github-opencontainers-image-spec (1.1.0~rc4-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 18 Sep 2023 18:01:26 -0400

golang-github-opencontainers-image-spec (1.1.0~rc4-1) experimental; urgency=medium

  * new upstream release
  * drop patches, merged upstream

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 16 Sep 2023 10:09:21 -0400
