=== debian/changelog ===
golang-github-opencontainers-image-spec (1.1.0~rc5-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 22 Nov 2023 18:58:53 +0000
