=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
          ${shlibs:Depends},
 Breaks: golang-github-containerd-containerd-dev (<< 1.5.8~ds1-2~),
         golang-github-containers-image-dev (<< 5.26~),
-        golang-github-opensuse-umoci-dev (<< 0.4.7+ds-4),
+        golang-github-opensuse-umoci-dev (<< 0.4.7+ds-4~),
 Description: Open Container Initiative (OCI) Image Format Specification
  The OCI Image Format project creates and maintains the software shipping
  container image format spec (OCI Image Format). The goal of this
