## golang-github-opencontainers-image-spec 1.1.0

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 MARKDOWN_LINT_VER?=v0.8.1
 
-TOOLS := gitvalidation 
+TOOLS := gitvalidation
 
 default: check-license lint test
