=== debian/changelog ===
golang-github-opencontainers-image-spec (1.1.0-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Nilesh Patra <nilesh@debian.org>  Mon, 19 Aug 2024 23:59:06 +0530

golang-github-opencontainers-image-spec (1.1.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 08 May 2024 07:26:17 -0400

golang-github-opencontainers-image-spec (1.1.0-1) experimental; urgency=medium

  * New upstream release: 1.1.0

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 20 Mar 2024 13:48:05 -0400

golang-github-opencontainers-image-spec (1.1.0~rc4-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Relax Breaks condition on umoci

 -- Nilesh Patra <nilesh@debian.org>  Fri, 20 Oct 2023 02:52:20 +0530
