=== debian/changelog ===
golang-github-opencontainers-image-spec (1.1.1-1) unstable; urgency=medium

  * New upstream release: 1.1.1

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 04 Nov 2025 06:02:08 -0500
