=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                golang-github-opencontainers-go-digest-dev,
                golang-github-pkg-errors-dev,
                golang-github-russross-blackfriday-dev,
-               golang-github-xeipuuv-gojsonschema-dev (>= 1.2.0~),
+               golang-github-santhosh-tekuri-jsonschema-dev,
 Homepage: https://github.com/opencontainers/image-spec
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-image-spec
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-image-spec.git
@@ -25,7 +25,7 @@
 Multi-Arch: foreign
 Depends: golang-github-opencontainers-go-digest-dev,
          golang-github-pkg-errors-dev,
-         golang-github-xeipuuv-gojsonschema-dev (>= 1.2.0~),
+         golang-github-santhosh-tekuri-jsonschema-dev,
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: golang-github-containerd-containerd-dev (<< 1.5.8~ds1-2~),
